Bug 1104858 (CVE-2014-3480)

Summary: CVE-2014-3480 file: cdf_count_chain insufficient boundary check
Product: [Other] Security Response Reporter: Francisco Alonso <falonso>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bressers, carnil, grocha, ksrot, pgervase, rcollet, security-response-team, szidek
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-11-27 11:55:44 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1080180, 1114446, 1114447, 1114520, 1114521, 1119563, 1119564, 1120503, 1120504, 1120981, 1149768, 1149774, 1238984, 1238985    
Bug Blocks: 1065838, 1101912, 1104859, 1149858, 1210268    

Description Francisco Alonso 2014-06-04 20:25:39 UTC
A flaw was found in the way file uses cdf_count_chain() function to processes maxsector for certain Composite Document Format (CDF) files. 

Upstream commit:
https://github.com/file/file/commit/40bade80cbe2af1d0b2cd0420cebd5d5905a2382


Acknowledgements:

This issue was discovered by Francisco Alonso of Red Hat Product Security.

Comment 3 Francisco Alonso 2014-06-30 06:18:57 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1114447]

Comment 4 Francisco Alonso 2014-06-30 06:19:00 UTC
Created file tracking bugs for this issue:

Affects: fedora-all [bug 1114446]

Comment 7 Fedora Update System 2014-07-05 14:53:40 UTC
file-5.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Murray McAllister 2014-07-08 04:58:31 UTC
Statement:

This issue did not affect the php and the file packages as shipped with Red Hat Enterprise Linux 5.

This issue affects the versions of file as shipped with Red Hat Enterprise Linux 7. Red Hat Product Security has rated this issue as having Moderate security impact. A future update may address this issue. For additional information, refer to the Issue Severity Classification: https://access.redhat.com/security/updates/classification/.

Comment 14 Martin Prpič 2014-07-28 11:12:19 UTC
IssueDescription:

A denial of service flaw was found in the way the File Information (fileinfo) extension parsed certain Composite Document Format (CDF) files. A remote attacker could use this flaw to crash a PHP application using fileinfo via a specially crafted CDF file.

Comment 18 errata-xmlrpc 2014-08-06 05:15:30 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 5

Via RHSA-2014:1012 https://rhn.redhat.com/errata/RHSA-2014-1012.html

Comment 19 errata-xmlrpc 2014-08-06 06:06:01 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 7

Via RHSA-2014:1013 https://rhn.redhat.com/errata/RHSA-2014-1013.html

Comment 22 errata-xmlrpc 2014-10-14 08:29:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1606 https://rhn.redhat.com/errata/RHSA-2014-1606.html

Comment 23 errata-xmlrpc 2014-10-30 19:46:11 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1766 https://rhn.redhat.com/errata/RHSA-2014-1766.html

Comment 24 errata-xmlrpc 2014-10-30 19:47:43 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections 1 for Red Hat Enterprise Linux 7
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.5 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.4 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6.6 EUS
  Red Hat Software Collections 1 for Red Hat Enterprise Linux 6

Via RHSA-2014:1765 https://rhn.redhat.com/errata/RHSA-2014-1765.html

Comment 28 errata-xmlrpc 2015-11-19 08:08:59 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2155 https://rhn.redhat.com/errata/RHSA-2015-2155.html